View Issue Details

IDProjectCategoryView StatusLast Update
0023566LazarusLCLpublic2013-04-02 17:50
ReporteroceanAssigned ToMaxim Ganetsky 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.1 (SVN)Product Build 
Target VersionFixed in Version1.1 (SVN) 
Summary0023566: ActiveXContainer incorrect position when resized
DescriptionRun attached sample and resize form vertically. Gray area appears between panel and container, see grayarea.jpg

Patch included in zip, activexcontainer.pas.patch, seems to fix the issue
TagsNo tags attached.
Fixed in Revision40330
LazTarget-
WidgetsetWin32/Win64
Attached Files

Activities

2013-01-02 12:14

 

shellexp.zip (10,974 bytes)

Antonio Cambule

2013-02-08 12:52

reporter   ~0065579

I've tried the patch on Win7 with Lazarus 1.1 #40169.
For me it didn't work. Still same problem as described.

ocean

2013-02-08 14:39

reporter   ~0065582

Patch surely works here WIN XP/32, I'm using it (FPC 23583, LZ 40192). I can test Win7/64 in few days.

You sure, you cleaned everything, and Lazarus really uses the new code?

Try copying patched activexcontainer.pas to project dir and test again.

ocean

2013-02-16 16:39

reporter   ~0065716

I have now tested Win7/64. Cleanup -> Apply patch -> make all (with FPC 2.7.1) -> Rebuild IDE -> Test sample -> Problem is gone.

Maxim Ganetsky

2013-02-16 19:26

developer   ~0065720

Applied, thanks.

Issue History

Date Modified Username Field Change
2013-01-02 12:14 ocean New Issue
2013-01-02 12:14 ocean File Added: shellexp.zip
2013-01-02 12:14 ocean Widgetset => Win32/Win64
2013-02-08 12:52 Antonio Cambule Note Added: 0065579
2013-02-08 14:39 ocean Note Added: 0065582
2013-02-16 16:39 ocean Note Added: 0065716
2013-02-16 19:26 Maxim Ganetsky Fixed in Revision => 40330
2013-02-16 19:26 Maxim Ganetsky LazTarget => -
2013-02-16 19:26 Maxim Ganetsky Note Added: 0065720
2013-02-16 19:26 Maxim Ganetsky Status new => resolved
2013-02-16 19:26 Maxim Ganetsky Fixed in Version => 1.1 (SVN)
2013-02-16 19:26 Maxim Ganetsky Resolution open => fixed
2013-02-16 19:26 Maxim Ganetsky Assigned To => Maxim Ganetsky
2013-04-02 17:50 ocean Status resolved => closed